# For some reasons library is unstripped and we don't have time for investigation
%define _enable_debug_packages %{nil}
%define debug_package %{nil}

%define ebmlver 1.3.0
%define major 6
%define libname %mklibname matroska %{major}
%define devname %mklibname matroska -d

Summary:	Matroska Audio/Video file format library
Name:		libmatroska
Version:	1.4.4
Release:	1
License:	GPL/QPL
Group:		System/Libraries
Url:		https://www.matroska.org/
Source0:	https://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.bz2
BuildRequires:	libebml-devel >= %{ebmlver}

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Matroska Audio/Video file format shared library
Group:		System/Libraries

%description -n %{libname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Matroska Audio/Video file format headers and static library
Group:		Development/C++
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%files -n %{devname}
%doc LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/libmatroska.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
    --disable-static
%make

%install
%makeinstall_std

%changelog

* Tue Apr 26 2016 dsilakov <denis.silakov@rosalab.ru> 1.4.4-1
- (cb89543) Merge pull request #1 from alzim/libmatroska:rosa2014.1
- (cb89543) Updated to 1.4.4


